#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2
%define framework kde-cli-tools

Summary:        Tools based on KDE Frameworks 5 to better interact with the system
Name:           %framework
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{version}/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  kcoreaddons-devel
BuildRequires:  kauth-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kcompletion-devel
BuildRequires:  sonnet-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kpty-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdesignerplugin-devel
BuildRequires:  karchive-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kemoticons-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kinit-devel
BuildRequires:  knotifications-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  solid-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  kunitconversion-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kconfig-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  ki18n-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kdesu-devel
BuildRequires:  kwindowsystem-devel

# duplicated files with KDE 4
Conflicts:      kde-l10n < 15.04.03
Conflicts:      kdebase4-runtime-handbook < 15.04.3

%description
Tools based on KDE Frameworks 5 to better interact with the system

%post
update-alternatives --install  %{_kf5_bindir}/kdesu kdesu %_libexecdir/kf5/kdesu 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove kdesu %_libexecdir/kf5/kdesu

%files -f %name.lang
%_kf5_bindir/kcmshell5
%_kf5_bindir/kde-open5
%_kf5_bindir/kdecp5
%_kf5_bindir/kdemv5
%_kf5_bindir/keditfiletype5
%_kf5_bindir/kioclient5
%_kf5_bindir/kmimetypefinder5
%_kf5_bindir/kstart5
%_kf5_bindir/ksvgtopng5
%_kf5_bindir/ktraderclient5
%_kf5_libdir/libkdeinit5_kcmshell5.so
%_qt5_plugindir/kcm_filetypes.so
%_libexecdir/kf5/kdeeject
%_libexecdir/kf5/kdesu
%_kf5_services/filetypes.desktop

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-handbook < 2:4.11.21
Conflicts:      kdebase4-runtime-handbook < 1:4.14.3-6
Conflicts:      %name < 5.7.1-2


%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_docdir/HTML/*/kdesu

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
# only duplicated files with kdebase4-runtime
%__rm -f %{buildroot}%{_mandir}/man1/kdesu.1
%__rm -fr %{buildroot}%{_docdir}/HTML/ca/kdesu
%find_lang --all %name



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089708
- Rebuild for arm
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078152
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070709
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065065
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064469
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063040
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060265
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057591
- New version 5.8.0
- Add P0 to fix CVE-2016-7787

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053047
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052674
- New version 5.7.5

* Wed Sep 07 2016 neoclust <neoclust> 5.7.4-2.mga6
+ Revision: 1050300
- Fix postun ( mga#19300)

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048335
- New version 5.7.4

* Thu Aug 18 2016 neoclust <neoclust> 5.7.3-3.mga6
+ Revision: 1046887
- Fix updates alternatives

* Wed Aug 17 2016 neoclust <neoclust> 5.7.3-2.mga6
+ Revision: 1046624
- Try to make kdesu more userfriendly

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044260
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042548
- New version 5.7.2

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042103
- Split handbook package ( mga#18939)

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041385
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039491
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021857
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014528
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009265
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999249
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998004
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994379
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987088
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983732
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927959
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922496
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914832
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910677
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908838
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904391
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900806
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898249
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889506
- New version 5.4.2

* Thu Sep 10 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 875625
- New version 5.4.1

* Sun Aug 30 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 871285
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862529
- New version 5.3.95

* Sun Aug 09 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 861689
- Add conflict to ease upgrade

* Mon Jul 20 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 855572
- Versionnate conflicts

* Fri Jul 17 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 854955
- New version 5.3.2

* Fri Jul 03 2015 neoclust <neoclust> 5.3.1-1.mga6
+ Revision: 849672
- New version 5.3.1

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804126
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793622
- remove man1/kdesu.1.xz to avoid conflicts with kdebase4-runtime

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 750131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 680969
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662157
- New version 5.0.1

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653433
- imported package kde-cli-tools

